assignments
Get apiv1assignments releasepreview
GET
/
api
/
v1
/
assignments
/
{assignmentId}
/
release
/
preview
cURL
curl --request GET \
--url https://tessera.edstratumlabs.ai/api/v1/assignments/{assignmentId}/release/preview \
--header 'Authorization: Bearer <token>'import requests
url = "https://tessera.edstratumlabs.ai/api/v1/assignments/{assignmentId}/release/preview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tessera.edstratumlabs.ai/api/v1/assignments/{assignmentId}/release/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"kind": "setup",
"changes": [
{
"studentId": "<string>",
"name": "<string>",
"from": {
"percent": 123,
"letter": "<string>"
},
"to": {
"percent": 123,
"letter": "<string>"
}
}
],
"letterChanges": 4503599627370495,
"unchanged": 4503599627370495,
"notSent": [
{
"submissionId": "<string>",
"studentId": "<string>",
"reason": "ai-draft-not-reviewed"
}
],
"hash": "<string>"
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
Scoped tsk_… API token or Access JWT
Path Parameters
Minimum string length:
1Response
Success
Available options:
setup, release Show child attributes
Show child attributes
Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Show child attributes
Show child attributes
⌘I
cURL
